function love.load()
	firstBOOM = {x = 0,y = 0, radius = 10,boom = false,visible = true}
	balls = {}
	size = 40
	for i = 1,size do
		local ball = {x = math.random(800), y = math.random(600), radius = 10, speedY = 0, speedX = 0,R = 0,B = 0,G = 0,coli = false, boom = false,visible = true}
		ball.R = math.random(255)
		ball.B = math.random(255)
		ball.G = math.random(255)
		ball.speedX = math.random(-100,100)
		d = 100*100 - ball.speedX*ball.speedX
		ball.speedY = math.sqrt(d)
		if math.random(2) == 2 then
			ball.speedY = -ball.speedY
		end
		table.insert(balls,ball)
	end
end

function love.update(dt)
	if firstBOOM.boom == false then
		firstBOOM.x = love.mouse.getX() 
		firstBOOM.y = love.mouse.getY()
		time1 = love.timer.getTime( )
	end
	if firstBOOM.boom == true then
		if firstBOOM.radius < 50 then
			firstBOOM.radius = (love.timer.getTime() - time1)*20			
		end
	end
	if love.timer.getTime() - time1 >= 4 then
		firstBOOM.visible = false
	end	
	for i = 1,size do	
		if balls[i].boom == true then
			if balls[i].radius < 50 then
				balls[i].radius = balls[i].radius + (love.timer.getTime() - balls[i].time1)/10
			end
			print(love.timer.getTime(),balls[i].time1)
			
			if love.timer.getTime() - balls[i].time1 >= 4 then
				balls[i].visible = false
			end	
		end	
		if math.sqrt((balls[i].x - firstBOOM.x)^2 + (balls[i].y - firstBOOM.y)^2) <= balls[i].radius + firstBOOM.radius and firstBOOM.boom == true and firstBOOM.visible == true and balls[i].boom == false then
			balls[i].boom = true
			balls[i].time1 = love.timer.getTime( )
		end
		if balls[i].boom == false then
			balls[i].x = balls[i].x + balls[i].speedX*dt
			balls[i].y = balls[i].y + balls[i].speedY*dt
		end
		if balls[i].x <= 10 and balls[i].speedX < 0 then
			balls[i].speedX = -balls[i].speedX
		end
		if balls[i].x >= 790 and balls[i].speedX > 0 then
			balls[i].speedX = -balls[i].speedX
		end
		if balls[i].y <= 10 and balls[i].speedY < 0 then
			balls[i].speedY = -balls[i].speedY
		end
		if balls[i].y >= 590 and balls[i].speedY > 0 then
			balls[i].speedY = -balls[i].speedY
		end
		for j = 1,size do			
			if math.sqrt((balls[i].x - balls[j].x)^2 + (balls[i].y - balls[j].y)^2) <= balls[i].radius + balls[j].radius  and balls[j].boom == true and balls[j].visible == true and i ~= j  and balls[i].boom == false then
				balls[i].boom = true
				balls[i].time1 = love.timer.getTime( )
			end
		end
	end
	if (love.mouse.isDown("l"))then
		firstBOOM.boom = true
	end
end

function love.draw()
	love.mouse.setVisible(false)
	
	for i = 1,size do
		if balls[i].visible == true then
			love.graphics.setColor(balls[i].R,balls[i].G,balls[i].B)
			love.graphics.circle("fill",balls[i].x,balls[i].y,balls[i].radius)
		end
	end
	love.graphics.setColor(255,255,255,255)	
	if firstBOOM.visible == true then
		love.graphics.circle("fill",firstBOOM.x,firstBOOM.y,firstBOOM.radius)
	end
end